Package voltage.controllers

# Enum Class ADSREnvelope.ENV_STAGE

java.lang.Object
java.lang.Enum<ADSREnvelope.ENV_STAGE>
voltage.controllers.ADSREnvelope.ENV_STAGE

All Implemented Interfaces:
  `Serializable`, `Comparable<ADSREnvelope.ENV_STAGE>`, `Constable`

Enclosing class:
  `ADSREnvelope`

public static enum ADSREnvelope.ENV_STAGE extends Enum<ADSREnvelope.ENV_STAGE>

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ADSR_Stage_Attack`
  Starting and ramping up.
  `ADSR_Stage_Attack_Hold`
  The amount of time to stay at maximum level before decaying to the sustain level.
  `ADSR_Stage_Decay`
  The amount of time to decay to the sustain level.
  `ADSR_Stage_Off`
  The envelope is off.
  `ADSR_Stage_Release`
  After sustain ramping down to 0.
  `ADSR_Stage_Sustain`
  Sustaining at this level until the release stage.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ADSREnvelope.ENV_STAGE`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static ADSREnvelope.ENV_STAGE[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### ADSR_Stage_Off

    public static final ADSREnvelope.ENV_STAGE ADSR_Stage_Off
    The envelope is off.

  - ### ADSR_Stage_Attack

    public static final ADSREnvelope.ENV_STAGE ADSR_Stage_Attack
    Starting and ramping up.

  - ### ADSR_Stage_Attack_Hold

    public static final ADSREnvelope.ENV_STAGE ADSR_Stage_Attack_Hold
    The amount of time to stay at maximum level before decaying to the sustain level.

  - ### ADSR_Stage_Decay

    public static final ADSREnvelope.ENV_STAGE ADSR_Stage_Decay
    The amount of time to decay to the sustain level.

  - ### ADSR_Stage_Sustain

    public static final ADSREnvelope.ENV_STAGE ADSR_Stage_Sustain
    Sustaining at this level until the release stage.

  - ### ADSR_Stage_Release

    public static final ADSREnvelope.ENV_STAGE ADSR_Stage_Release
    After sustain ramping down to 0.

- ## Method Details

  - ### values

    public static ADSREnvelope.ENV_STAGE[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static ADSREnvelope.ENV_STAGE valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null